在CentOS 6.3上安装HAProxy?

Modified on: Tue, 26 Mar 2019 11:40:02 +0800

这很奇怪。

我已经通过

安装了CentOS 6的EPEL

# rpm -Uvh http://dl.fedoraproject.org/pub/epel/6/x86_64/epel-release-6-8.noarch.rpm

尝试安装HAProxy:

# yum update
# yum install haproxy

但是收到:

Loaded plugins: fastestmirror, security
Loading mirror speeds from cached hostfile
 * base: ftp.heanet.ie
 * epel: fedora.mirror.nexicom.net
 * extras: ftp.heanet.ie
 * updates: ftp.heanet.ie
Setting up Install Process
No package haproxy available.
Error: Nothing to do

无法弄清楚为什么找不到haproxy!帮助

最佳答案

haproxy软件包已从EPEL中移除,因为它是现已包含在RHEL 6.4中(和在他们建立6.4)之后将进行衍生分发。

  

Red Hat Enterprise Linux 6.4引入了haproxy软件包作为技术预览版。

如果您需要 now ,您可以获取Red Hat的6.4 SRPM并在您的系统上重建它(与CentOS即将推出的方式相同)。例如:

wget http://ftp.redhat.com/pub/redhat/linux/enterprise/6Server/en/os/SRPMS/haproxy-1.4.22-3.el6.src.rpm
mock -r epel-6-x86_64 haproxy-1.4.22-3.el6.src.rpm

否则,您可以等待CentOS 6.4,然后它将通过基础存储库提供。

作者:,Michael Hampton

相关问答

添加新评论